Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003102Zandronum[All Projects] Suggestionpublic2017-04-28 10:092017-05-14 16:50
ReporterFused 
Assigned ToTorr Samaho 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.0-beta 
Target Version3.0Fixed in Version3.0 
Summary0003102: Backport UDMF custom acs features
DescriptionZdoom added a feature a while ago which allows you to tag a sector in UDMF formatted maps.
Especiallyhttps://zdoom.org/wiki/GetSectorUDMFInt [^] in this case can prove very useful with modding, because this allows you to check if a player is in a certain type of sector. The only way to make something similar is sectordamage into custom pain states,but this is very messy, and wont even work most of the time because of certain requirements.
Additional InformationCustom UDMF functions:
https://zdoom.org/wiki/GetLineUDMFFixed [^]
https://zdoom.org/wiki/GetLineUDMFInt [^]
https://zdoom.org/wiki/GetSectorUDMFFixed [^]
https://zdoom.org/wiki/GetSectorUDMFInt [^]
https://zdoom.org/wiki/GetSideUDMFFixed [^]
https://zdoom.org/wiki/GetSideUDMFInt [^]
https://zdoom.org/wiki/GetThingUDMFFixed [^]
https://zdoom.org/wiki/GetThingUDMFInt [^]
Attached Files? file icon udmfparameter.wad [^] (3,094 bytes) 2017-04-29 16:33

- Relationships

-  Notes
User avatar (0017395)
Torr Samaho (administrator)
2017-04-29 10:41

Aren't GetLineUDMFInt, GetLineUDMFFixed, GetSectorUDMFInt, GetSectorUDMFFixed, GetSideUDMFInt and GetSideUDMFFixed already supported in 3.0? There is code for them.
User avatar (0017399)
Fused (reporter)
2017-04-29 13:05

That's what I was confused about too. I noticed this was old enough to be added, but when testing I couln't make it work at all. I will try this again and make an example wad, should it actually not work.
User avatar (0017410)
Torr Samaho (administrator)
2017-04-29 16:19

Ok, thanks. In case it does work, please also let me know so that I can close the ticket.
User avatar (0017413)
Fused (reporter)
2017-04-29 16:34
edited on: 2017-04-29 16:35

Turns out it's actually broken in some way. I added an example wad to showcase the problem, which I found on zdoom, and modified it a bit to add more of the functions. I guess the bug described here is similar to what happends here, although it does result in a different error.
https://forum.zdoom.org/viewtopic.php?f=7&t=47696&sid=e58d942b5a0c8cef795811619f303abd [^]

I see only the line one seems to work, although I couln't get the thing-fixed variant to work without getting an error in the console.

User avatar (0017415)
Torr Samaho (administrator)
2017-04-29 16:43

I just backported the two ZDoom fixes linked in that thread.
User avatar (0017416)
Fused (reporter)
2017-04-29 16:53

That fixes it. Although I am still having this weird issue with the thing variant not giving a value for both integers and fixed/decimal numbers, and I can't figure out what I did wrong.
User avatar (0017418)
Torr Samaho (administrator)
2017-04-29 16:56
edited on: 2017-04-29 16:57

The thing variants are simply not implemented in GZDoom 1.8.6 (and thus 3.0). That's why I didn't list them in 0003102:0017395.

User avatar (0017419)
Fused (reporter)
2017-04-29 16:58

In that case I suppose everything is resolved then in this case. I don't think I need the thing variant myself, unless it isn't much to backport.
User avatar (0017421)
Torr Samaho (administrator)
2017-04-29 17:18

I had a quick look and it seems like GZDoom still didn't implement them, so there is nothing to backport.
User avatar (0017684)
Ru5tK1ng (updater)
2017-05-14 16:50

Based on fused's testing and the fact there's nothing left to back port, marked as resolved.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-04-28 10:09 Fused New Issue
2017-04-29 10:41 Torr Samaho Note Added: 0017395
2017-04-29 10:41 Torr Samaho Status new => feedback
2017-04-29 13:05 Fused Note Added: 0017399
2017-04-29 13:05 Fused Status feedback => new
2017-04-29 16:19 Torr Samaho Note Added: 0017410
2017-04-29 16:22 Torr Samaho Assigned To => Torr Samaho
2017-04-29 16:22 Torr Samaho Status new => feedback
2017-04-29 16:33 Fused File Added: udmfparameter.wad
2017-04-29 16:34 Fused Note Added: 0017413
2017-04-29 16:34 Fused Status feedback => assigned
2017-04-29 16:35 Fused Note Edited: 0017413 View Revisions
2017-04-29 16:43 Torr Samaho Note Added: 0017415
2017-04-29 16:53 Fused Note Added: 0017416
2017-04-29 16:56 Torr Samaho Note Added: 0017418
2017-04-29 16:56 Torr Samaho Note Edited: 0017418
2017-04-29 16:57 Torr Samaho Note Edited: 0017418 View Revisions
2017-04-29 16:57 Torr Samaho Note Revision Dropped: 17418: 0010454
2017-04-29 16:57 Torr Samaho Note Revision Dropped: 17418: 0010455
2017-04-29 16:58 Fused Note Added: 0017419
2017-04-29 17:18 Torr Samaho Note Added: 0017421
2017-04-30 19:14 Torr Samaho Status assigned => needs testing
2017-04-30 19:14 Torr Samaho Target Version => 3.0
2017-05-14 16:50 Ru5tK1ng Note Added: 0017684
2017-05-14 16:50 Ru5tK1ng Status needs testing => resolved
2017-05-14 16:50 Ru5tK1ng Resolution open => fixed
2017-05-14 16:50 Ru5tK1ng Fixed in Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker